be.fgov.ehealth.seals.protocol.v1

## Class DecodeRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v1.RequestType
  - - be.fgov.ehealth.seals.protocol.v1.DecodeRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:19:19+02:00",
                 comments="JAXB RI v2.3.7")
      public class DecodeRequest
      extends RequestType
      implements Serializable

  Request message to decode data

  Java class for DecodeRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DecodeRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
             <sequence>
               <element name="ApplicationName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="EncodedData" type="{urn:be:fgov:ehealth:seals:core:v1}EncodedDataType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodeRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationName()` Gets the value of the applicationName property.
    `List<EncodedDataType>` | `getEncodedDatas()` Gets the value of the encodedDatas property.
    `void` | `setApplicationName(String value)` Sets the value of the applicationName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecodeRequest

          public DecodeRequest()

  - ### Method Detail

    - #### getApplicationName

          public String getApplicationName()

      Gets the value of the applicationName property.
      Returns:
        possible object is `String`

    - #### setApplicationName

          public void setApplicationName(String value)

      Sets the value of the applicationName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEncodedDatas

          public List<EncodedDataType> getEncodedDatas()

      Gets the value of the encodedDatas property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encodedDatas property.

      For example, to add a new item, do as follows:

              getEncodedDatas().add(newItem);

      Objects of the following type(s) are allowed in the list `EncodedDataType`

Connector Packaging PERSAUDIOLOGIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.